%define name	bpconf
%define version	0.5.1
%define release %mkrel 5

Name: 	 	%{name}
Summary: 	Podcast collection for KDE
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://www.leonscape.co.uk/linux/bpconf/
License:	GPL
Group:		Networking/News
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	kdebase-devel
BuildRequires:  ImageMagick
BuildRequires:  desktop-file-utils
Requires(post): desktop-file-utils 
Requires(postun): desktop-file-utils

%description
BPConf is a simple configuration frontend for the BashPodder tool, which can
be used to collect podcasts from across the Web. After selecting feeds and
choosing when and where you want them saved, it will collect the files for
you. It also features an option for checking feeds immediately.

%prep
%setup -q

%build
%configure --disable-rpath \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})"
%endif		

%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="BPConf" longtitle="Podcast catcher" section="Internet/News" mimetypes="application/rss+xml" xdg="true"
EOF


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-News" \
  --add-category="Network" \
  --add-category="News" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/*

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 src/hi16-app-bpconf.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cp src/hi32-app-bpconf.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cp src/hi16-app-bpconf.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
%{update_desktop_database}
		
%postun
%clean_menus
%{clean_desktop_database}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/%name
%{_datadir}/applnk/Utilities/bpconf.desktop
%{_datadir}/apps/bpconf/bpconfui.rc
%{_docdir}/HTML/en/%name
%{_iconsdir}/hicolor/*/apps/bpconf.png
%{_datadir}/mimelnk/rss+xml.desktop
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png



%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.5.1-5mdv2008.1
+ Revision: 136280
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import bpconf


* Tue Sep 12 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.1-5mdv2007.0
- XDG
- Add Requires/BuildRequire

* Fri Apr 14 2006 Emmanuel Blindauer <blindauer@mandriva.org> 0.5.1-4mdk
- Fix configure

* Thu Jan 19 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.1-3mdk
- Fix Build on x86_64

* Thu Sep 08 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.1-2mdk
- Fix BuildRequires
- mkrel 

* Fri Aug 26 2005 Austin Acton <austin@mandriva.org> 0.5.1-1mdk
- initial package
